Export (0) Print
Expand All

<startup> Element

Contains the <requiredRuntime> element.

<configuration>
   <startup>

<startup>
</startup>

Child Elements

Element Description
<requiredRuntime> Specifies that the application supports only version 1.0 of the common language runtime. Applications built with runtime version 1.1 should use the <supportedRuntime> element.
<supportedRuntime> Specifies which versions of the common language runtime the application supports.

Remarks

The startup code for an application hosted in Microsoft Internet Explorer ignores the <startup> element and its child elements.

Example

The following example shows how to specify the runtime version in a configuration file.

<configuration>
   <startup>
      <requiredRuntime version="v1.0.3705" safemode="true"/>
   </startup>
</configuration>

Configuration File

This element can be used in the application configuration file.

See Also

Startup Settings Schema | Configuration File Schema | Specifying Which Runtime Version to Use

Show:
© 2014 Microsoft